Subject: bug#32064: 26; doc string of `eval-last-sexp'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jul 2018 12:39:18 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Thu, 05 Jul 2018 20:23:08 -0400
> Cc: [email-masked]
> 
> Drew Adams <[email-masked]> writes:
> 
> > This is all a confusing mess, I'm afraid.  And the code (e.g. of
> > `eval-last-sexp' and its helper `elisp--eval-last-sexp') is not very
> > clear either.
> 
> I agree.  I think the solution is to simplify the interface somewhat.

These additional features weer added just recently, so I see no reason
why we should remove them now.  Certainly not because the doc string
needs to be fixed.

> As it stands, we're trying to cram a lot of functionality into the
> prefix argument, and the encoding is too difficult to remember (both in
> terms of implementing & documenting, as well as for using).

I had no difficulty bringing the doc string in line with the
implementation, please take a look.